<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * [[機能説明]]
 *
 * @package     [[package名]]
 * @author      Your Name <mail@example.com>
 * @access      public
 */
class Seller_Itemexhibit_Untrans_Complete
{
    
    var $c_itemexhibit;
    
    var $checklist;
    var $orderrow;
    
    /**
     * [[機能説明]]
     *
     * @access  public
     */
    function execute()
    {
        $log =& LogFactory::getLog();
        $log->debug("Seller_Itemexhibit_Untrans_Completeが実行されました", "Seller_Itemexhibit_Untrans_Complete#execute");
        $this -> updateSendItemList();

        return 'success';
    }

    function updateSendItemList()
    {
        if(count($this->checklist) > 0)
        {
            $checklist = $this -> checklist;
            $orderrow = $this -> orderrow;
            foreach($orderrow as $orderNo => $orderRowNoArray){
            	foreach($checklist as $checkNo){
            		if($orderNo == $checkNo){
            			$this -> c_itemexhibit -> updateSendItem($checkNo,$orderrow[$checkNo]);
            		}
            	}
            }
            //$this -> c_itemexhibit -> updateSendItem($this->orderrow);
            /*
            foreach($check as $element){
                var_dump( $this -> c_itemexhibit -> updateSendItem($element) );
            }
			*/
        }
    }

}
?>
